* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    min-height: 100vh;
}

body {
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    background-color: #F2F2F2;
}

#header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px;
    background-color: #fff;
}

#header .logo {
    width: 8em;
}

#main-menu ul {
    list-style: none;
}

#main-menu ul li {
    float: left;
    margin-right: 15px;
}

#main-menu ul li:last-child {
    margin-right: 0;
}

#main-menu ul li a {
    display: block;
    padding: 10px 20px;
    color: #333;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

#main-menu ul li a:hover {
    color: #FC3030;
}

#contact-menu a {
    display: block;
    padding: 15px 40px;
    font-size: .850em;
    font-weight: bold;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    background-color: #FC3030;
    border-radius: 15px;
    transition: background-color 0.3s ease-in-out;
}

#contact-menu a:hover {
    background-color: #CC2020;
}

.container {
    width: 1120px;
    padding: 0 15px;
    margin: 0 auto;
}

.hide-desktop { display: none; }

@media screen and (max-width: 1280px) {
    .container { width: 965px; }
}

@media screen and (max-width: 1024px) {
    .container { width: 768px; }
}

@media screen and (max-width: 768px) {
    #header { padding: 20px 30px; }

    #header .logo { width: 100px; }

    #main-menu ul li { margin-right: 5px; }

    #main-menu ul li a { padding: 10px 15px; }

    #contact-menu a { padding: 12px 25px; }

    .container { width: 750px; }
}

@media screen and (max-width: 475px) {
    .container { width: 100%; }

    #main-menu {
        position: fixed;
        top: 0; left: 0;
        width: 100vw;
        height: 100vh;
        transform: translateX(-100%);
        background-color: #FFF;
        z-index: 9999;
        transition: transform 0.3s ease-in-out;
    }

    #main-menu.active {
        transform: translateX(0);
    }

    #main-menu ul {
        width: 100vw;
        height: 100vh;
    }

    #main-menu ul li {
        float: none;
        margin: 0;
    }

    #main-menu ul li a {
        display: block;
        padding: 20px 0;
        font-size: 1.125em;
        font-weight: bold;
        color: #333;
        text-align: center;
        border-bottom: 1px solid #ccc;
    }

    #main-menu ul li a:hover {
        color: #FC3030;
    }

    #main-menu ul li:last-child { margin-top: 20px; }

    #main-menu ul li:last-child a {
        font-size: 1.75em;
        color: #FC3030;
        border-bottom: none;
    }

    #main-menu ul li a.mobile-active {
        color: #FC3030;
    }

    .hide-desktop { display: block; }

    #contact-menu { display: none; }

    #menu-mobile {
        width: 40px;
        height: 40px;
        color: #591111;
        background-color: #fff;
        border: 1px solid #591111;
        outline: none;
        border-radius: 10px;
    }
}

